part of slang_retail_assistant;

class AssistantConfiguration {
  late String assistantId;
  late String apiKey;
  String? defaultLocale;
  List<String>? requestedLocales;
  bool? enableCustomTrigger;
  AssistantUIPosition? uiPosition;

  HashMap<String, Object?> _covertToHashmap() {
    var configMap = HashMap<String, Object?>();
    configMap["assistantId"] = assistantId;
    configMap["apiKey"] = apiKey;
    configMap["defaultLocale"] = defaultLocale;
    configMap["requestedLocales"] = requestedLocales;
    configMap["enableCustomTrigger"] = enableCustomTrigger ?? false;
    configMap["triggerPosition"] = uiPosition?._covertToHashmap();
    return configMap;
  }
}
